# List Endpoints - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/serverless-list-endpoint

# List Endpoints

GET

/

gpu-instance

/

openapi

/

v1

/

endpoints

Try it

List Endpoints

cURL

```
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/endpoints \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>'
```

200

```
{
"endpoints": [
{
"id": "&#x3C;string>",
"name": "&#x3C;string>",
"appName": "&#x3C;string>",
"state": {
"state": "&#x3C;string>",
"error": "&#x3C;string>",
"message": "&#x3C;string>"
},
"url": "&#x3C;string>",
"workerConfig": {
"minNum": 123,
"maxNum": 123,
"freeTimeout": "&#x3C;string>",
"maxConcurrent": "&#x3C;string>",
"gpuNum": 123,
"requestTimeout": 123,
"cudaVersion": "&#x3C;string>"
},
"policy": {
"type": "&#x3C;string>",
"value": "&#x3C;string>"
},
"image": {
"image": "&#x3C;string>",
"authId": "&#x3C;string>",
"command": "&#x3C;string>"
},
"rootfsSize": 123,
"volumeMounts": [
{
"type": "&#x3C;string>",
"id": "&#x3C;string>",
"size": 123,
"mountPath": "&#x3C;string>"
}
],
"envs": [
{
"key": "&#x3C;string>",
"value": "&#x3C;string>"
}
],
"ports": [
{
"port": "&#x3C;string>"
}
],
"workers": [
{
"id": "&#x3C;string>",
"state": {
"state": "&#x3C;string>",
"error": "&#x3C;string>",
"message": "&#x3C;string>"
},
"log": "&#x3C;string>",
"metrics": "&#x3C;string>",
"healthy": true
}
],
"products": [
{
"id": "&#x3C;string>"
}
],
"healthy": {
"path": "&#x3C;string>",
"initialDelay": 123,
"period": 123,
"timeout": 123,
"successThreshold": 123,
"failureThreshold": 123
},
"clusterID": "&#x3C;string>",
"log": "&#x3C;string>"
}
],
"total": 123
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#query-parameters)

Query Parameters

[​](#param-page-size)

pageSize

integer

required

Maximum number of items returned per page.

[​](#param-page-num)

pageNum

integer

required

Current page number.

##

[​](#response)

Response

[​](#param-endpoints)

endpoints

object[]

required

Endpoint information.

Hide properties

[​](#param-id)

id

string

required

Endpoint ID.

[​](#param-name)

name

string

required

Endpoint name.

[​](#param-app-name)

appName

string

required

Application name.

[​](#param-state)

state

object

required

Endpoint status.

Hide properties

[​](#param-state-1)

state

string

required

Endpoint status. When the value is `serving`, the endpoint is available for service.

[​](#param-error)

error

string

Error code when the endpoint is in an abnormal state.

[​](#param-message)

message

string

Error message when the endpoint is in an abnormal state.

[​](#param-url)

url

string

required

Endpoint URL. You can access your HTTP service via this URL.

[​](#param-worker-config)

workerConfig

object

required

Worker configuration for the endpoint.

Hide properties

[​](#param-min-num)

minNum

integer

required

Minimum number of workers.

[​](#param-max-num)

maxNum

integer

required

Maximum number of workers.

[​](#param-free-timeout)

freeTimeout

string

required

Idle timeout, in seconds.

[​](#param-max-concurrent)

maxConcurrent

string

required

Maximum concurrency.

[​](#param-gpu-num)

gpuNum

integer

required

Number of GPUs per worker.

[​](#param-request-timeout)

requestTimeout

integer

required

Request timeout (seconds).

[​](#param-cuda-version)

cudaVersion

string

required

CUDA version.

[​](#param-policy)

policy

object

required

Auto-scaling policy for the endpoint.

Hide properties

[​](#param-type)

type

string

required

Policy type. Options:

- `queue`: Queue latency policy, adjusts the number of workers based on the waiting time of requests in the queue.

- `concurrency`: Queue request policy, automatically adjusts the number of workers based on the number of requests in the queue.

[​](#param-value)

value

string

required

The meaning of value depends on the type:

- If type = queue, value is the queue waiting time in seconds.

- If type = concurrency, value is the maximum number of requests in the queue.

[​](#param-image)

image

object

required

Image configuration for the endpoint.

Hide properties

[​](#param-image-1)

image

string

required

Image URL.

[​](#param-auth-id)

authId

string

required

Image repository credential.

[​](#param-command)

command

string

required

Container startup command.

[​](#param-rootfs-size)

rootfsSize

integer

required

System disk size.

[​](#param-volume-mounts)

volumeMounts

object[]

required

Storage configuration for the endpoint.

Hide properties

[​](#param-type-1)

type

string

required

Storage type. Options:

- `local`: Local storage.

- `network`: Cloud storage.

[​](#param-id-1)

id

string

required

Cloud storage ID. Returned when type = network.

[​](#param-size)

size

integer

Returned when type = local, indicates the size of the local disk.

[​](#param-mount-path)

mountPath

string

required

Mount path for the storage.

[​](#param-envs)

envs

object[]

required

Environment variables.

Hide properties

[​](#param-key)

key

string

required

Environment variable name.

[​](#param-value-1)

value

string

required

Environment variable value.

[​](#param-ports)

ports

object[]

required

HTTP ports.

Hide properties

[​](#param-port)

port

string

required

HTTP port.

[​](#param-workers)

workers

object[]

required

Worker information for the endpoint.

Hide properties

[​](#param-id-2)

id

string

required

Worker ID.

[​](#param-state-2)

state

object

required

Worker status.

Hide properties

[​](#param-state-3)

state

string

required

Worker status. When the value is `running`, the worker is available for service.

[​](#param-error-1)

error

string

Error code when the worker is in an abnormal state.

[​](#param-message-1)

message

string

Error message when the worker is in an abnormal state.

[​](#param-log)

log

string

required

Log path for the worker.

[​](#param-metrics)

metrics

string

required

Monitoring information for the worker.

[​](#param-healthy)

healthy

boolean

required

Whether the worker is healthy.

[​](#param-products)

products

object[]

required

Product information.

Hide properties

[​](#param-id-3)

id

string

required

Product ID.

[​](#param-healthy-1)

healthy

object

required

Health check configuration for the endpoint.

Hide properties

[​](#param-path)

path

string

required

Path to be checked via HTTP request for health monitoring.

[​](#param-initial-delay)

initialDelay

integer

required

Time to wait after startup before starting health checks, in seconds.

[​](#param-period)

period

integer

required

Interval between health checks, in seconds.

[​](#param-timeout)

timeout

integer

required

Timeout for health checks, in seconds.

[​](#param-success-threshold)

successThreshold

integer

required

Number of consecutive successes required to consider the check successful after a previous failure.

[​](#param-failure-threshold)

failureThreshold

integer

required

Number of consecutive failures required to consider the check failed after a previous success.

[​](#param-cluster-id)

clusterID

string

required

Cluster ID where the cloud storage resides. Returned when using cloud storage.

[​](#param-log-1)

log

string

required

Log path for the endpoint.

[​](#param-total)

total

integer

required

Total number of results.

Last modified on March 26, 2026
